Bug 1956079

Summary: Installer gather doesn't collect any networking information
Product: OpenShift Container Platform Reporter: Stephen Benjamin <stbenjam>
Component: InstallerAssignee: Stephen Benjamin <stbenjam>
Installer sub component: openshift-installer QA Contact: Pedro Amoedo <pamoedom>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: medium CC: mstaeble, pamoedom
Version: 4.7   
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Feature: The logs collected on bootstrap failure by the installer should include network information such as IP addresses and routes. Reason: To facilitate troubleshooting networking issues. Result: The installer now collects ip address and routes for the control plane and bootstrap hosts.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-27 23:05:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1974282    

Description Stephen Benjamin 2021-05-02 15:30:27 UTC
Installer gather should collect some rudimentary networking information (ip a, ip r, hostname, resolv.conf) on the bootstrap and masters in the log bundle.
For on-premise platforms, we've had a need to look at this information due to various networking problems.

Comment 2 Pedro Amoedo 2021-05-03 12:04:29 UTC
[QA Summary]

[Version]

Using "4.8.0-0.ci-2021-05-03-055425" since the latest nightly doesn't contain yet the PR#4892:

~~~
$ ./openshift-install version
./openshift-install 4.8.0-0.ci-2021-05-03-055425
built from commit 04211fb553783eb7998bd3a63189b84f9b028052
release image registry.ci.openshift.org/ocp/release@sha256:aa74b16ccc044f1171d85ad679c0d122cab4248071cc15cfbb477e35c399682e

$ oc get clusterversion
NAME      VERSION                        AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.ci-2021-05-03-055425   True        False         32m     Cluster version is 4.8.0-0.ci-2021-05-03-055425
~~~

[Parameters]

Preserve bootstrap node to gather the proper info and also to use it as a jump node to reach the masters:

~~~
$ export OPENSHIFT_INSTALL_PRESERVE_BOOTSTRAP="true"
~~~

[Results]

As expected, after gathering the installation bootstrap, the network information is now present in "bootstrap/network/" folder:

~~~
$ ls log-bundle-20210503123219/bootstrap/network/
hostname.txt  ip-addr.txt   ip-route.txt  resolv.conf

$ cat log-bundle-20210503123219/bootstrap/network/hostname.txt 
ip-10-0-1-208

$ cat log-bundle-20210503123219/bootstrap/network/ip-addr.txt 
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: ens5: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 9001 qdisc mq state UP group default qlen 1000
    link/ether 06:d5:54:c8:15:f2 brd ff:ff:ff:ff:ff:ff
    inet 10.0.1.208/19 brd 10.0.31.255 scope global dynamic noprefixroute ens5
       valid_lft 3129sec preferred_lft 3129sec
    inet6 fe80::90e:7974:eb0c:293f/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever

$ cat log-bundle-20210503123219/bootstrap/network/ip-route.txt 
default via 10.0.0.1 dev ens5 proto dhcp metric 100 
10.0.0.0/19 dev ens5 proto kernel scope link src 10.0.1.208 metric 100

$ cat log-bundle-20210503123219/bootstrap/network/resolv.conf 
# Generated by NetworkManager
search eu-west-3.compute.internal
nameserver 10.0.0.2
~~~

And also within the master nodes in "control-plane/<IP>/network/" folder:

~~~
[core@ip-10-0-1-208 log-bundle-20210503113622]$ ls control-plane/10.0.*/network
control-plane/10.0.149.162/network:
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf

control-plane/10.0.187.216/network:
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf

control-plane/10.0.206.98/network:
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf
~~~

Best Regards.

Comment 6 errata-xmlrpc 2021-07-27 23:05:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438